{ ... }:
{
  services.keyd = {
    enable = true;
    keyboards.default = {
      ids = [ "*" ];
      settings = {
        main = {
          capslock = "overload(control,esc)";
          leftcontrol = "overload(ctrlmod,noop)";

          esc = "`";
          rightcontrol = "esc";
          left = "noop";
          down = "noop";
          up = "noop";
          right = "noop";
        };

        control = {
          h = "left";
          j = "down";
          k = "up";
          l = "right";
          g = "macro(C-h)";
          semicolon = "macro(C-l)";
        };

        ctrlmod = {
          backspace = "delete";
          "1" = "f1";
          "2" = "f2";
          "3" = "f3";
          "4" = "f4";
          "5" = "f5";
          "6" = "f6";
          "7" = "f7";
          "8" = "f8";
          "9" = "f9";
          "0" = "f10";
          "-" = "f11";
          "=" = "f12";
        };
      };
    };
  };
}
